<ion-header>
    <ion-toolbar color="warning">
        <ion-button slot="end" color="danger" (click)="closeModal()">
            <ion-icon name="close"></ion-icon>
        </ion-button>
        <!-- <ion-title>{{this.ObjetAssure.intitule}}</ion-title> -->
        <ion-title>Modification Objet</ion-title>
    </ion-toolbar>
</ion-header>


<ion-content>
    <div class="container">
        <p class="topHeading">Modification: {{this.ObjetAssure.intitule}}</p>

        <form [formGroup]="onDeclarationForm">
            <div class="inputBlock">
                <p class="question" translate>numero_titulaire</p>
                <div class="itemInput" [ngClass]="onDeclarationForm.get('numTitulaire').hasError('required') &&  formInvalide?'writeError':''">
                    <ion-input color="light" background="light" type="text" formControlName="numTitulaire" required>
                    </ion-input>
                </div>
            </div>

            <div *ngFor="let item of this.TabAttributsParentAndFilsObjets">
                <!-- For input -->
                <div class="inputBlock" *ngIf="(item.typeInput=='text')">
                    <p class="question" translate>{{item.libelle}}</p>
                    <div [ngClass]="onDeclarationForm.get(item.code).hasError('required') &&  formInvalide?'writeError':''" class="itemInput ">
                        <ion-input [disabled]="item.code == 'immatriculation' || item.code == 'NIV'" color="light" type="{{item.typeInput}}" formControlName="{{item.code}}" required>
                        </ion-input>
                    </div>
                </div>
                <!-- End Input -->

                <!-- Select  -->
                <div *ngIf="(item.typeInput == 'select')">
                    <div class="inputBlock" *ngIf="(item.code!='marqueVehiculeAuto' && item.code!='appellationCom' && item.code!='marqueVehiculeMoto' && item.code!='appellationComMoto')">
                        <p class="question" translate>{{item.libelle}}</p>
                        <div [ngClass]="onDeclarationForm.get(item.code).hasError('required') &&  formInvalide?'writeError':''" class="itemInput">
                            <ion-select color="light" formControlName="{{item.code}}">
                                <ion-select-option *ngFor="let listeValeur of item.listevaleur" [value]="listeValeur.libelle">
                                    {{listeValeur.libelle}}
                                </ion-select-option>
                            </ion-select>
                        </div>
                        <div>
                            <p ion-text class="text08" *ngIf="formInvalide && onDeclarationForm.get(item.code).hasError('required')">
                                <ion-text color="danger" translate>
                                    champ_obligatoire
                                </ion-text>
                            </p>
                        </div>
                    </div>

                    <!-- Complex -->
                    <div *ngIf="(item.code=='marqueVehiculeAuto' || item.code=='marqueVehiculeMoto')" class="inputBlock" [ngClass]="onDeclarationForm.get(item.code).hasError('required') &&  formInvalide?'writeError':''">
                        <p class="question" translate>quelle_est_la_marque_de_votre_vehicule</p>
                        <div class="itemInput">
                            <ion-grid>
                                <ion-row>
                                    <ion-col>
                                        <ionic-selectable modalCssClass="modal-css" #portComponent height="80%" color="light" [ngClass]="onDeclarationForm.get(item.code).hasError('required') &&  formInvalide?'writeError':''" formControlName="{{item.code}}" [(ngModel)]="marque" [items]="marques"
                                            itemValueField="name" itemTextField="name" [canSearch]="true" (onChange)="portChange($event)" [canClear]="true" [clearButtonText]="effacer" [closeButtonText]="retour">
                                            <ng-template ionicSelectableHeaderTemplate>
                                                <ion-toolbar>
                                                    <ion-buttons end>
                                                        <button ion-button (click)="portComponent.close()">
                                                            <ion-label color="primary">{{portComponent.closeButtonText}}
                                                            </ion-label>
                                                        </button>
                                                    </ion-buttons>
                                                    <ion-title translate>
                                                        MARQUE
                                                    </ion-title>
                                                </ion-toolbar>
                                            </ng-template>
                                            <ng-template ionicSelectableSearchFailTemplate>
                                                <div padding translate>
                                                    marque_non_prise_en_charge
                                                </div>
                                            </ng-template>
                                            <ng-template ionicSelectableItemTemplate let-port="item">
                                                <figure>
                                                    <a>
                                                        <p> <img class="icone" src={{port.path}} alt="" />

                                                            <figcaption style="margin-left :7%;">{{port.name}}
                                                            </figcaption>

                                                    </a>
                                                </figure>
                                            </ng-template>
                                        </ionic-selectable>
                                    </ion-col>
                                </ion-row>
                            </ion-grid>
                        </div>
                    </div>

                    <div *ngIf="(item.code=='appellationCom' || item.code=='appellationComMoto')" class="inputBlock" [ngClass]="onDeclarationForm.get(item.code).hasError('required') &&  formInvalide?'writeError':''">
                        <p class="question" translate>et_le_modele</p>
                        <div class="itemInput">
                            <ion-grid>
                                <ion-row>
                                    <ion-col>
                                        <ionic-selectable color="light" modalCssClass="modal-css" formControlName="{{item.code}}" (onOpen)="onOpen($event)" #portModele [(ngModel)]="modele" [items]="marque.listeModeles" itemValueField="name" itemTextField="name" [canSearch]="true" [clearButtonText]="effacer"
                                            [canClear]="true">
                                            <ng-template ionicSelectableHeaderTemplate>
                                                <ion-toolbar>
                                                    <ion-buttons end>
                                                        <button ion-button (click)="portModele.close()">
                                                            <ion-label color="primary" translate>retour</ion-label>
                                                        </button>
                                                    </ion-buttons>
                                                    <ion-title>
                                                        {{marque.name}}
                                                    </ion-title>
                                                </ion-toolbar>
                                            </ng-template>
                                            <ng-template ionicSelectableSearchFailTemplate>
                                                <div padding>
                                                    <ion-text *ngIf="marque.name !=null" translate>
                                                        modele_prise_en_charge
                                                    </ion-text>
                                                    <ion-text *ngIf="marque.name ==null" translate>
                                                        definir_la_marque_du_vehicule
                                                    </ion-text>
                                                </div>
                                            </ng-template>
                                        </ionic-selectable>
                                    </ion-col>
                                </ion-row>
                            </ion-grid>

                        </div>
                    </div>
                    <!-- End -->
                </div>
                <!-- End select simple -->
                <!-- Radio -->
                <div *ngIf="item.typeInput=='radio'">
                    <br>
                    <p class="question" translate>{{item.code === 'valTypeEnergie' ? 'Energie' : 'Remorque'}}</p>
                    <ion-radio-group formControlName="{{item.code}}">
                        <ion-grid>
                            <ion-row>
                                <ion-col *ngFor="let energie of item.listevaleur">
                                    <!-- <ion-label class ="labelRadio">ESSENCE</ion-label><br> -->
                                    <ion-item *ngIf="item.code == 'valTypeEnergie'">
                                        <label class="labelRadio" (click)="getCarburant(energie.code)">
                                            <img *ngIf="energie.code === 'essence'" class="iconeRadio"
                                                [ngClass]="this.valCarburant==energie.code?'radioChecked':''"
                                                src="../../assets/icon/gasEssence.svg" [alt]="energie.code" />
                                            <img *ngIf="energie.code === 'diesel'" class="iconeRadio"
                                                [ngClass]="this.valCarburant==energie.code?'radioChecked':''"
                                                src="../../assets/icon/gasGasoil.svg" [alt]="energie.code" />
                                            <p class="labelRadio">{{energie.libelle}}</p>
                                        </label>
                                    </ion-item>
                                    <ion-radio mode="md" [ngClass]="item.code == 'valTypeEnergie'? 'radioBouton': ''" [value]="energie.code" [checked]="item.code == 'valTypeEnergie'? valCarburant== item.code : valRemorque == item.code">
                                    </ion-radio><br>
                                    <ion-label *ngIf="item.code == 'valRemorque'" class="labelRadio" translate>
                                        {{energie.libelle === 'Oui' ? 'Avec Remorque' : 'Sans Remorque'}}
                                    </ion-label>
                                </ion-col>
                            </ion-row>
                        </ion-grid>
                    </ion-radio-group>

                    <p ion-text class="text08" *ngIf="formInvalide">
                        <ion-text color="danger" translate>
                            champ_obligatoire
                        </ion-text>
                    </p>
                </div>
                <!-- End Radio -->

                <!-- Number -->
                <!-- class="inputs" for small one -->
                <div *ngIf="item.typeInput=='number'">

                    <div class="inputBlock">
                        <p class="question" translate>{{item.libelle}}</p>
                        <div [ngClass]="(onDeclarationForm.get(item.code).hasError('required') || onDeclarationForm.get(item.code).hasError('min')
      || onDeclarationForm.get(item.code).hasError('max') ) &&  formInvalide?'writeError':''" class="itemInput">
                            <ion-input color="light" type="number" formControlName="{{item.code}}"></ion-input>

                        </div>
                        <p ion-text class="text08" *ngIf="formInvalide && onDeclarationForm.get(item.code).hasError('required')">
                            <ion-text color="danger" translate>
                                champ_obligatoire
                            </ion-text>
                        </p>
                        <p ion-text class="text08" *ngIf="formInvalide && onDeclarationForm.get(item.code).hasError('min')">
                            <ion-text color="danger" translate>
                                nombre_de_place_inferieur_a {{minNombrePlace}}
                            </ion-text>
                        </p>
                        <p ion-text class="text08" *ngIf="formInvalide && onDeclarationForm.get(item.code).hasError('max')">
                            <ion-text color="danger" translate>
                                nombre_de_place_superieur_a {{maxNombrePlace}}
                            </ion-text>
                        </p>
                    </div>

                </div>
                <!-- End Number -->

                <!-- Date -->
                <div *ngIf="item.typeInput=='date'">
                    <div class="inputBlock">
                        <p class="question" translate>{{item.libelle}}</p>
                        <div class="itemInput" [ngClass]="(onDeclarationForm.get(item.code).hasError('required') || onDeclarationForm.get(item.code).hasError('min')
        || onDeclarationForm.get(item.code).hasError('max') ) &&  formInvalide?'writeError':''">
                            <ion-input type="date" color="light" formControlName="{{item.code}}">
                            </ion-input>
                        </div>
                        <p ion-text class="text08" *ngIf="formInvalide && onDeclarationForm.get(item.code).hasError('required')">
                            <ion-text color="danger" translate>
                                champ_obligatoire
                            </ion-text>
                        </p>
                        <p ion-text class="text08" *ngIf="formInvalide && onDeclarationForm.get(item.code).hasError('min')">
                            <ion-text color="danger" translate>
                                annee_inferieur_a {{minAnnee}}
                            </ion-text>
                        </p>
                        <p ion-text class="text08" *ngIf="formInvalide && onDeclarationForm.get(item.code).hasError('max')">
                            <ion-text color="danger">
                                annee_superieur_a {{maxAnnee}}
                            </ion-text>
                        </p>


                    </div>

                </div>
                <!-- End Date -->

                <!-- Range -->
                <div *ngIf="(item.typeInput === 'range')">
                    <!--Type Range-->
                    <div class="scaleContainer">
                        <p class="heading" translate>{{item.libelle}}</p>

                        <ion-badge slot="end" *ngIf="item.code == 'valPuissance'">
                            <ion-label class="valeur" *ngIf="valuePuissance<=40">{{valuePuissance}} CV </ion-label>
                            <ion-label class="valeur" *ngIf="valuePuissance>40">40+ CV</ion-label>
                        </ion-badge>

                        <ion-badge slot="end" *ngIf="item.code == 'valCylindree'">
                            <ion-label class="valeur" *ngIf="valueCylindre<=40">{{valueCylindre}} CV </ion-label>
                            <ion-label class="valeur" *ngIf="valueCylindre>40">40+ CV</ion-label>
                        </ion-badge>

                    </div>

                    <div>
                        <ion-range [ngClass]="onDeclarationForm.get(item.code).hasError('required') &&  formInvalide?'writeRangeError':''" name="{{item.code}}" min="0" max="50" step="1" formControlName="{{item.code}}">
                            <ion-icon class="icon1" slot="start" name="ios-ellipse"></ion-icon>
                            <ion-icon class="icon2" slot="end" name="ios-ellipse"></ion-icon>
                        </ion-range>
                        <div class="rangeNumbers">
                            <p>0</p>
                            <p>10</p>
                            <p>20</p>
                            <p>30</p>
                            <p>40</p>
                            <p>Plus</p>
                        </div>
                    </div>
                </div>
                <!-- End Range -->
            </div>

            <!-- debut -->
            <ion-item-group style="margin-top : 2% ;">
                <ion-item-divider>
                    <ion-label translate>INFOS_PROPRIETAIRE</ion-label>
                </ion-item-divider>
                <p class="question" translate> informations_du_compte
                    <ion-toggle (ionChange)="toggleInfosChange()" [(ngModel)]="toggleInfos" [ngModelOptions]="{standalone: true}"></ion-toggle>modifier informations
                </p>
                <div class="inputBlock">
                    <p class="question">Civilite</p>
                    <div [ngClass]="onDeclarationForm.get('civilite').hasError('required') &&  formInvalide?'writeError':''" class="itemInput">
                        <ion-select #civilite [value]="civiliteClient" [disabled]="!toggleInfos" formControlName="civilite" color="light">

                            <ion-select-option value="Mr" translate>monsieur</ion-select-option>
                            <ion-select-option value="Mme" translate>madame</ion-select-option>
                            <ion-select-option value="Mlle" translate>mademoiselle</ion-select-option>

                        </ion-select>
                    </div>
                </div>

                <div class="inputBlock">
                    <p class="question" translate>nom</p>
                    <div class="itemInput" [ngClass]="onDeclarationForm.get('nom').hasError('required') &&  formInvalide?'writeError':''">
                        <ion-input #nom [value]="nomClient" [disabled]="!toggleInfos" color="light" formControlName="nom"></ion-input>
                    </div>
                </div>

                <div class="inputBlock">
                    <p class="question" translate>prenom</p>
                    <div class="itemInput" [ngClass]="onDeclarationForm.get('prenom').hasError('required') &&  formInvalide?'writeError':''">
                        <ion-input #prenom [value]="prenomClient" [disabled]="!toggleInfos" color="light" formControlName="prenom"></ion-input>
                    </div>
                </div>


            </ion-item-group>
            <ion-item-group style="margin-top : 2% ;">
                <ion-item-divider>
                    <ion-label>DOCUMENTS</ion-label>
                </ion-item-divider>
                <ion-row>
                    <div style="width: 95%; margin: auto;">
                        <ion-card color="light" class="ion-activated my-card" scroll-y="true" scrollbar="true">
                            <ion-item>
                                <ion-label [ngClass]="fileCarteGrise==null &&  formInvalide?'carburantError':''" style="font-size: 15px;" translate>
                                    carte_grise
                                </ion-label>
                                <div class="contentBlock" *ngIf="ObjetAssure.id !=null" (click)="chargerCarteGrise()">

                                    <p class="fileButton">
                                        <ion-label translate>
                                            telecharger
                                            <ion-icon name="ios-uploaddoc" color="blue" slot="end"></ion-icon>
                                        </ion-label>
                                    </p>
                                </div>



                            </ion-item>
                            <ion-card-content>
                                <ion-item>
                                    <br />
                                    <ion-input #myFileInputCg id="myFileInputCg" type="file" (input)='onInputTimeCg($event)' formControlName="fileCarteGrise" accept="application/pdf"></ion-input>
                                    <ion-text>{{inputFileCg.value.replace("C:\\fakepath\\","")}}</ion-text>
                                    <ion-icon name="attach" [ngClass]="fileCarteGrise==null &&  formInvalide?'carburantError':''" slot="end" for="myFileInputCg"></ion-icon>
                                </ion-item>

                            </ion-card-content>
                        </ion-card>

                        <ion-grid padding>
                            <ion-row>
                                <ion-col>
                                    <ion-button color="primary" (click)="modifierObjet()" expand="block" shape="round">
                                        Modifier Objet
                                    </ion-button>
                                </ion-col>
                            </ion-row>
                        </ion-grid>
                    </div>

                </ion-row>
            </ion-item-group>


            <!-- fin -->
        </form>
    </div>
</ion-content>